export default async function getAllUser() {
    try {
        const res = await fetch(`http://${import.meta.env.VITE_API_URL}/api/users`, {
            method: 'GET',
            credentials: 'include',
            headers: {
                'Accept': 'application/json'
            }
        });

        if (!res.ok) {
            throw new Error(`Erreur serveur : ${res.status}`);
        }

        const data = await res.json();
        return data;
    } catch (err) {
        console.error('Erreur :', err);
        return null;
    }
}
